Subject: Log of reported problems with 1.1.2/2.0.6

From: [email-masked]
Date: Wed, 31 Jul 96 14:24:12 cet

It was Re: Debian 1.1.2 NFS Module not loading
       Re: nfs module doesn't load in 2.0.6

As a Log, this must be a long posting. I just try to find connections 
between what I think are related problems.
---

I did the following experiments:

Experiment #1
- On a clean 16MB partition I tried the 1996_7_14 installation disk set
  (with Linux 2.0.6) which I dowloaded last week from buzz-updates/... 

- I then got error messages with with "undefined symbols" when in the 
  "Configure the system" stage of the installation script.
  It was difficult to read the scrolled off messages ... and then I was 
  on the installation menu again ---Bruce... would it be possible to 
  generate a log of the installation to trap those errors?, maybe "sleep" 
  them if no logging is conveniente/possible.
- I could finish the configuration, w/ creation of the boot and all that.
- I rebooted chose rebooot (in fact halted) the system.
- I decided not to use the system in that state (I didn't check how the
  system would have behaved at run time). I was thinking of mounting 
  that fresh install (even with no root password :-) to investigate the 
  problem later. I had no time yet.

Considering that some people is starting to use the kernels 2.0.6 after Debian 
1.1.2,  I decided to come back and look closer to the problem.

Can anybody check this "fresh" Debian 1.1.2 install problem ...a spare 16MB 
partition (you could use your swap for a while) will be enough.
 
Just a comment: The disks I used, were under ../buzz-update/.. since Jul 14 
but not in ../buzzed-fixed/... (linked to Debian-1.1.1 and stable) untill last 
weekend (between friday and sunday) when the the tree problem was fixed by Guy 
Maor. 
The same disks "appeared" under the ../stable/... tree under the new name 
1996-07-14 and Debian 1.1.2 was released just after that. Guy already posted 
that there are the same disks. (check postings included below) 

Experiment #2.
- Forget the disk set of experiment #1: I now started from an "old" 
  Debian 1.1 working system (the same you find under buzz or Debian-1.1 with 
  the kernel 2.0.0) installed with the standard boot dsks of 1996_6_11
  
- I downloaded dpkg-1.2.11elf and (dselect/dpkg) installed kbd, perl-..., 
  and the kernel-image-2.0.6 from updates/... which was announced together 
  with Debian 1.1.2. Maybe I dowloaded them from stable = Debian-1.1.2 but
  those are the same now. I was on master.debian.ftp

- I reboot the machine (linux 2.0.6) and...

  ... at boot time I managed to read again the same 
  messages as in experiment #1:

   ...
   undefined symbols in ......./modules/...
   undefined symbols in ...... /modules/...
   ....

- One of the lines had the string "nfs"
  (Eureka! it coincides with the other reports) 

I Tried "dmesg | more" but did not work.
---May I suggest again to redirect 2> last_boot.log  

That's all.
Lazaro

P.S. Related postings follow in reverse chronological order
     This %&/%# mail reader (cc-mail for windows) is configured in 
     such a way that I cannot see who the original sender is. Sorry.

--
Lazaro D. Salem                   E-mail: [email-masked]
RF-Rogaland Research               Phone: +47 51 87 50 00
P.O.Box 2503, Ullandhaug          Direct: +47 51 87 50 65
N-4004 Stavanger, NORWAY             Fax: +47 51 87 52 00

-------- On 1996-07-31 04:54
>I've recompiled my kernel (and, yes, I've remembered to 'make modules'
>and 'make modules_install'), but when I boot now, I get an error message
>saying that it can't find the modules.
>I'm using Kernel 2.0.6 and modules 2.0.0
>Whats wrong?

-------- On 1996-07-31 00:32
>I get a lot of unresolved symbols when trying to install via NFS
>from the newest release on ftp.debian.org.
>trying to do a 
>insmod nfs
>
>get a screenful of those too.

On Sun, 28 Jul 1996 [email-masked] wrote:

>  I think that is related to something I noticed today when trying to 
>  install Debian 1.1.1 with the installation disks set 1996_7_14 
>  (whatch out! I did not say "1996-07-14 boot disk set" which corresponds to 
>  the new Debian 1.1.2 just released yesterday).

They're one and the same.  A user suggested naming them as YYYY-MM-DD
which is ISO recommended.

>  By the way  the mantainer included the version number in the name of the 
>  control files so if you "dpkg-name -a kernel*.deb" you get the funny name
>  kernel-source_2.0.6_2.0.6-0.deb as it happened with version 2.0.0 included 
>  in Debian 1.1.

That's done on purpose so you can install more than one kernel.

Guy

---------Lazaro Salem (that's me) wrote last Sunday: 
 I think that is related to something I noticed today when trying to 
 install Debian 1.1.1 with the installation disks set 1996_7_14 
 (whatch out! I did not say "1996-07-14 boot disk set" which corresponds to 
 the new Debian 1.1.2 just released yesterday).
 
 When configuring the system during the installation I managed to read 
 some "header .. modules... missing" sorry it was too fast to read, but
 I realized that there was a conflict between the kernel and the 
 configuration at the level kernel module interaction. 
 Avoid using the packages kernel-source_2.0.6-0.deb  (image and headers are 
 based/related to these source) originally time stamped around July 14/15.
 
 By the way  the mantainer included the version number in the name of the 
 control files so if you "dpkg-name -a kernel*.deb" you get the funny name
 kernel-source_2.0.6_2.0.6-0.deb as it happened with version 2.0.0 included 
 in Debian 1.1.
 Can this be considered a "bug report" I don't dare to :-)
 
 Noticed that the new kernels are 2.0.5 and not 2.0.6 (it would be nice to 
 know why this step back ...:-)
 
 Happy hacking,
 Lazaro

______________________________ Reply Separator _________________________________
Subject: nfs module doesn't load in 2.0.6
Author:  [email-masked] at cclink
Date:    27.07.96 06:11

I just upgraded from 2.0.0 to 2.0.6 including modules
and now I get many undefines when installing nfs module.

like:

nfs_mknod undefined
nfs_sillyrename_cleanup undefined
.
..
...
Loading failed! The module symbols (from linux-2.0.6) don't match your
linux-2.0.6

Any way to fix this?
Other mods load fine. the nfs loaded fine in 2.0.0

Thanks for any info,
Jim

===========================================================-------------
Jim Gerace
Senior Systems Engineer
email: [email-masked]
www:   http://www.kasinet.com

------------------------------------------------------------------------
Guy Maor ([email-masked]) wrote:
 Debian 1.1.2 is on the master site.  Within a few days, you should see
 it on the mirrors.
 
 Changes from Debian-1.1.1 are:
   base-1.1.0-14
   boot-floppies-1.1.1-10
   boot disks 1996-07-14
   kernel-headers, kernel-image, kernel-source 2.0.6
   xosview 1.3.2-4.1
 
 Changes from Debian-1.1 are the above and:
   dpkg 1.2.11
   kbd 0.91-3
   perl, perl-debug, perl-suid 5.003-2
   qpopper 2.1.4-3
 
 For more information on what bugs these updates fix, see
 Debian-1.1-updates/ChangeLog.
 
 Debian-1.1.2, also reachable as Debian-1.1-fixed, stable, and
 buzz-fixed, is a symlink copy of Debian-1.1 with the updates from
 Debian-1.1-updates applied.

 Guy